#ifndef __ASSASSIN_THUMBNAIL_PACKAER_H__
#define __ASSASSIN_THUMBNAIL_PACKAER_H__

#include <Eet.h>
#include <Evas.h>
#include <Ecore.h>
#include <Ecore_Evas.h>


#define BUFSIZE 1024
#define COMPRESS_QUALITY 10
Evas_Object * get_image_object_from_file(char *filenmae);
Evas_Object * get_image_object_from_eet(char *filename, char *key);

/**
 * @brief Generate the eet key from the filename
 * @param filename Thumbnail filename with special format "<categories>_<package_name>.png" or <package_name>.png
 */ 
char * 	key_generator (char *filename);
void traverse(Eet_File *ef, const char *directory);
void put_file_into_eet(Eet_File *ef,char *file);

#endif
